=== debian/changelog ===
lxqt-qtplugin (1.4.0-3) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078301)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

 -- Macy Lin <macy@debconf.org>  Mon, 09 Sep 2024 21:37:36 +0800

lxqt-qtplugin (1.4.0-2) unstable; urgency=medium

  * Merge to unstable.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 10 May 2024 08:21:45 +0800

lxqt-qtplugin (1.4.0-1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Fix blhc error

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.0
  * debian/control: build-deps on libfm-qt-dev (>= 1.4.0~).
  * debian/control: build-deps on libqt5xdg-dev (>= 3.12.0~).
  * debian/control: depends on libfm-qt14 due to soname bump.
  * debian/upstream/metadata: drop obsolete field Name.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 14 Dec 2023 15:07:19 +0100

lxqt-qtplugin (1.3.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 27 Jul 2023 09:26:15 +0800

lxqt-qtplugin (1.3.0-1) experimental; urgency=medium

  * New upstream version 1.3.0
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: build-deps on libfm-qt-dev (>= 1.3.0-1~).
  * debian/control: build-deps on lxqt-build-tools (>= 0.13.0~).
  * debian/control: clean up build-deps.
  * debian/control: build-deps on libqt5xdg-dev (>= 3.11.0~).
  * debian/control: build-deps on qtbase5-private-dev (>= 5.15.0~).
  * debian/control: update team address.
  * debian/control: depends on libfm-qt13.
  * debian/copyright: update.
  * debian/upstream/metadata: update url for git repo.
  * debian/salsa-ci.yml: temporary run CI on experimental release without
    reprotes test.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 29 Jun 2023 05:19:44 +0200
