=== debian/changelog ===
lxqt-qtplugin (2.0.0-0ubuntu2) oracular; urgency=medium

  * Temporary fix for FTBFS on arm64. 
    - d/patches: Add set-qt-plugin-dir-via-configure.patch.
    - d/rules: Pass QT_PLUGINS_DIR to configure.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Aug 2024 14:06:13 +0100

lxqt-qtplugin (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:23:05 -0500

lxqt-qtplugin (1.4.0-0ubuntu2) noble; urgency=medium

  * Bump dependency for new upstream version.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 13 Nov 2023 12:52:43 -0600

lxqt-qtplugin (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Fixed copyright file.
  * Bumped and fixed build dependency versions.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 08 Nov 2023 16:52:40 -0600

lxqt-qtplugin (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 03 Aug 2023 10:43:09 -0500
