=== debian/control ===
Source: lxqt-qtplugin
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libdbusmenu-lxqt0-dev,
               libfm-qt6-dev (>= 2.0.0),
               libkf6windowsystem-dev,
               libqt6xdg-dev (>= 4.0.0),
               libqt6xdgiconloader-dev (>= 4.0.0),
               libx11-dev,
               lxqt-build-tools (>= 2.0.0),
               qt6-base-private-dev,
               qt6-svg-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-qtplugin-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-qtplugin-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin.git
Homepage: https://github.com/lxqt/lxqt-qtplugin
Rules-Requires-Root: no

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: libfm-qt6-14, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-config, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.
