=== debian/changelog ===
lxqt-qtplugin (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * debian/control: build-deps on lxqt-build-tools (>= 2.1.0~).
  * debian/control: build-deps on libfm-qt-dev (>= 2.1.0~).
  * debian/control: build-deps on libqt6xdg-dev (>= 4.1.0~).
  * debian/control: depends on libfm-qt6-15 (>= 2.1.0~).
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 04 Dec 2024 18:31:32 +0100

lxqt-qtplugin (2.0.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 18:55:59 +0100

lxqt-qtplugin (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream version 2.0.0
  * debian/control: bump dep on libqt5xdg-dev -> libqt6xdg-dev
  * debian/control: bump dep on lxqt-build-tools (>= 2.0.0+really2.0.0~)
  * debian/control: remove dependency on libdbusmenu-qt5-dev
  * debian/control: add dependency on libdbusmenu-lxqt-dev
  * debian/control: bump dep on qtbase5-private-dev -> qt6-base-private-
    dev
  * debian/control: bump dep on libfm-qt-dev (>= 2.0.0~)
  * debian/control: bump dep on libfm-qt14 (>= 2.0.0~)
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/control: correctly depends on libfm-qt6-14.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 01 Oct 2024 10:59:30 +0200
