=== debian/control ===
Source: lxqt-qtplugin
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libdbusmenu-lxqt-dev,
               libfm-qt-dev (>= 2.1.0~),
               libqt6xdg-dev (>= 4.1.0~),
               lxqt-build-tools (>= 2.1.0~),
               qt6-base-private-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin.git
Homepage: https://github.com/lxqt/lxqt-qtplugin
Rules-Requires-Root: no

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: libfm-qt6-15 (>= 2.1.0~), ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-config, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.
