=== debian/changelog ===
lxqt-qtplugin (2.2.0-0ubuntu3) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 18:58:50 +0100

lxqt-qtplugin (2.2.0-0ubuntu2) questing; urgency=medium

  * Bump depends to latest libfm-qt.

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Aug 2025 18:27:45 +0100

lxqt-qtplugin (2.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Update copyright file.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 10 Jul 2025 12:20:31 -0500

lxqt-qtplugin (2.1.0-0ubuntu5) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:28:41 -0600

lxqt-qtplugin (2.1.0-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 18:31:36 -0600

lxqt-qtplugin (2.1.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:58:37 -0600

lxqt-qtplugin (2.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 00:45:09 -0600

lxqt-qtplugin (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:33:06 -0600

lxqt-qtplugin (2.0.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:53:25 +0100
