=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure --\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DQT_PLUGINS_DIR=/usr/lib/${DEB_HOST_MULTIARCH}/qt6/plugins
