## lxqt-qtplugin 2.3.0

=== debian/changelog ===
lxqt-qtplugin (2.3.0-2) unstable; urgency=medium

  * d/control: Fix Depends (Closes: #1124457).
  * d/control: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 02 Jan 2026 00:52:39 +0800

lxqt-qtplugin (2.3.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 31 Dec 2025 18:07:05 +0800

lxqt-qtplugin (2.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.3.0.
  * d/control: Update Build-Depends.
  * d/control: Remove unnecessary Rules-Requires-Root: no.
  * d/watch: Upgrade to version 5.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 23 Nov 2025 22:39:59 +0800

lxqt-qtplugin (2.2.0-2) unstable; urgency=medium

  * d/control: Fix Depends for libfm-qt6-16.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 24 Aug 2025 08:54:00 +0800

lxqt-qtplugin (2.2.0-1) unstable; urgency=medium

  * Migrate to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 23 Aug 2025 00:51:28 +0800

lxqt-qtplugin (2.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.0 (Closes: #1097339)
  * d/control: Bump Standards-Version to 4.7.2.
  * d/control: Update Build-Depends.
  * d/upstream: Fix signing-key.asc.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 15 Aug 2025 09:30:28 +0800
